document.addEventListener('DOMContentLoaded', function() {
  // Format currency values
  document.querySelectorAll('.balance').forEach(el => {
    const value = parseFloat(el.textContent);
    el.textContent = value.toLocaleString('en-US', {
      style: 'currency',
      currency: 'USD',
      minimumFractionDigits: 2,
      maximumFractionDigits: 2
    });
  });
  
  // Format dates
  document.querySelectorAll('.date').forEach(el => {
    const date = new Date(el.textContent);
    el.textContent = date.toLocaleDateString('en-US', {
      year: 'numeric',
      month: 'short',
      day: 'numeric'
    });
  });
  
  // Format datetime
  document.querySelectorAll('.datetime').forEach(el => {
    const date = new Date(el.textContent);
    el.textContent = date.toLocaleString('en-US', {
      year: 'numeric',
      month: 'short',
      day: 'numeric',
      hour: '2-digit',
      minute: '2-digit'
    });
  });
});
